Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Functions
permute.cpp File Reference
`#include <assert.h>`
`#include <math.h>`
`#include "const.h"`
`#include "permute.h"`
`#include "callcpp.h"`
`#include "ccutil.h"`
`#include "dict.h"`
`#include "freelist.h"`
`#include "helpers.h"`
`#include "image.h"`
`#include "globals.h"`
`#include "ndminx.h"`
`#include "ratngs.h"`
`#include "stopper.h"`
`#include "tprintf.h"`
`#include "trie.h"`
`#include "params.h"`
`#include "unicharset.h"`

Go to the source code of this file.

## Namespaces

namespace | tesseract

## Functions

WERD_CHOICE * | tesseract::get_best_delete_other (WERD_CHOICE *choice1, WERD_CHOICE *choice2)
BLOB_CHOICE * | tesseract::get_nth_choice (BLOB_CHOICE_LIST *blob_list, int n)
UNICHAR_ID | tesseract::get_top_choice_uid (BLOB_CHOICE_LIST *blob_list)
int | tesseract::find_choice_by_uid (BLOB_CHOICE_LIST *blob_list, UNICHAR_ID target_uid)
WERD_CHOICE * | tesseract::get_choice_from_posstr (const UNICHARSET *unicharset, const BLOB_CHOICE_LIST_VECTOR &char_choices, int start_pos, const char *pos_str, float *certainties)
void | tesseract::get_posstr_from_choice (const BLOB_CHOICE_LIST_VECTOR &char_choices, WERD_CHOICE *word_choice, int start_pos, char *pos_str)
BLOB_CHOICE * | tesseract::find_choice_by_type (BLOB_CHOICE_LIST *blob_choices, char target_type, const UNICHARSET &unicharset)
BLOB_CHOICE * | tesseract::find_choice_by_script (BLOB_CHOICE_LIST *blob_choices, int target_sid, int backup_sid, int secondary_sid)